Package ru.bitel.bgbilling.modules.tv.server.bean

# Class TvAccountSpecDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<TvAccountSpec>
ru.bitel.common.dao.AbstractIdDao<TvAccountSpec>
ru.bitel.common.dao.AbstractDirectoryIdDao<TvAccountSpec>
ru.bitel.bgbilling.modules.tv.server.bean.TvAccountSpecDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<TvAccountSpec>`

public class TvAccountSpecDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<TvAccountSpec>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvAccountSpecDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TvAccountSpec>`
  `directoryItems()`
  Получение всего списка элементов из справочника
  `TvAccountSpec`
  `getDirectoryItem(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected TvAccountSpec`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(TvAccountSpec tvAccountSpec)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDirectoryIdDao

  `deleteDirectoryItem, getDirectoryItem, updateDirectoryItem`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `optDirectoryItem`

- ## Constructor Details

  - ### TvAccountSpecDao

    public TvAccountSpecDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected TvAccountSpec getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<TvAccountSpec>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(TvAccountSpec tvAccountSpec) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<TvAccountSpec>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getDirectoryItem

    public TvAccountSpec getDirectoryItem(String title) throws Exception
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `getDirectoryItem` in interface `Directory<TvAccountSpec>`
    Overrides:
      `getDirectoryItem` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<TvAccountSpec>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `Exception`

  - ### directoryItems

    public List<TvAccountSpec> directoryItems() throws Exception
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `directoryItems` in interface `Directory<TvAccountSpec>`
    Overrides:
      `directoryItems` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<TvAccountSpec>`
    Returns:
    Throws:
      `Exception`